<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
} else {
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
if(isset($_POST['name'])&&isset($_POST['count'])&&isset($_POST['timestart'])&&isset($_POST['timeend'])){
	if(!is_numeric($_POST['count']) or $_POST['count'] <= 0 or $_POST['count'] >= 99999){
 $return['code'] = 1;
 $return['text'] = 'Giới hạn nhập không được nhỏ hơn 0 hoặc lớn hơn 999';
	} else {
		// check có event này chưa
		$Check_Code = mysqli_query($conn, "Select * from giftcode WHERE EventName = N'".$_POST['name']."'");
		if(mysqli_num_rows($Check_Code)){
 $return['code'] = 1;
 $return['text'] = 'Trùng tên Event Code không thể tạo.';			
		} else {
			// tạo code
			$Cover_Start = strtotime(str_replace('/','-',$_POST['timestart'])); 
			$Cover_End   = strtotime(str_replace('/','-',$_POST['timeend']));
			if($Cover_Start == "" or $Cover_Start == null or $Cover_End == "" or $Cover_End == null){
 $return['code'] = 1;
 $return['text'] = 'Thời gian Bắt đầu hoặc Kết thúc có định dạng là 00/00/0000';					
			} else {
			//Select TOP ID
			$get_ID = mysqli_fetch_array(mysqli_query($conn,"Select IDEvent from giftcode ORDER BY IDEvent DESC"),MYSQLI_ASSOC);
				if($get_ID['IDEvent'] == null){
					$get_ID['IDEvent'] = 0;
				}
				$newIDEvent = $get_ID['IDEvent'] + 1;
			mysqli_query($conn, "INSERT INTO giftcode (IDEvent,EventName,Count_Click,TimerStart,TimerEnd) VALUES ('$newIDEvent',N'".$_POST['name']."','".$_POST['count']."','$Cover_Start','$Cover_End')");
 $return['code'] = 0;
 $return['text'] = 'Thêm Event Thành Công.';
		}
		}
	}
} else {
 $return['code'] = 1;
 $return['text'] = 'Vui lòng nhập đầy đủ theo yêu cầu.';
}

		echo json_encode($return);
		exit();	
}
?>